# Uses of Class
org.codehaus.janino.Java.AbstractCompilationUnit.ImportDeclaration

Packages that use Java.AbstractCompilationUnit.ImportDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AbstractCompilationUnit.ImportDeclaration in org.codehaus.janino

Subclasses of Java.AbstractCompilationUnit.ImportDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static class`
`Java.AbstractCompilationUnit.SingleStaticImportDeclaration`
Represents a single static import declaration like
`static class`
`Java.AbstractCompilationUnit.SingleTypeImportDeclaration`
Represents a "single-type import declaration" like "`import java.util.Map;`".
`static class`
`Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration`
Represents a static-import-on-demand declaration like
`static class`
`Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration`
Represents a type-import-on-demand declaration like `import java.util.*;`.
Fields in org.codehaus.janino declared as Java.AbstractCompilationUnit.ImportDeclaration
Modifier and Type
Field
Description
`final Java.AbstractCompilationUnit.ImportDeclaration[]`
Java.AbstractCompilationUnit.`importDeclarations`
The IMPORT declarations in this compilation unit.
Methods in org.codehaus.janino that return Java.AbstractCompilationUnit.ImportDeclaration
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit.ImportDeclaration`
Parser.`parseImportDeclaration()`
ImportDeclaration := 'import' ImportDeclarationBody ';'
`Java.AbstractCompilationUnit.ImportDeclaration`
Parser.`parseImportDeclarationBody()`
ImportDeclarationBody := [ 'static' ] Identifier { '.' Identifier } [ '.' '*' ]
Methods in org.codehaus.janino with parameters of type Java.AbstractCompilationUnit.ImportDeclaration
Modifier and Type
Method
Description
`void`
Unparser.`unparseImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration id)`
Constructors in org.codehaus.janino with parameters of type Java.AbstractCompilationUnit.ImportDeclaration
Modifier
Constructor
Description
``
`AbstractCompilationUnit(String fileName, Java.AbstractCompilationUnit.ImportDeclaration[] importDeclarations)`
``
`CompilationUnit(String fileName, Java.AbstractCompilationUnit.ImportDeclaration[] importDeclarations)`
``
`ModularCompilationUnit(String fileName, Java.AbstractCompilationUnit.ImportDeclaration[] importDeclarations, Java.ModuleDeclaration moduleDeclaration)`

## Uses of Java.AbstractCompilationUnit.ImportDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.AbstractCompilationUnit.ImportDeclaration
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copyImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration subject)`
`Java.AbstractCompilationUnit.ImportDeclaration[]`
DeepCopier.`copyImportDeclarations(Java.AbstractCompilationUnit.ImportDeclaration[] subject)`
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copySingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration stid)`
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copySingleTypeImportDeclaration(Java.AbstractCompilationUnit.SingleTypeImportDeclaration stid)`
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copyStaticImportOnDemandDeclaration(Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration siodd)`
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copyTypeImportOnDemandDeclaration(Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration tiodd)`
Methods in org.codehaus.janino.util with parameters of type Java.AbstractCompilationUnit.ImportDeclaration
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copyImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration subject)`
`Java.AbstractCompilationUnit.ImportDeclaration[]`
DeepCopier.`copyImportDeclarations(Java.AbstractCompilationUnit.ImportDeclaration[] subject)`
`void`
AbstractTraverser.`traverseImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration id)`
`void`
Traverser.`traverseImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration id)`
`void`
AbstractTraverser.`visitImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration id)`
`void`
Traverser.`visitImportDeclaration(Java.AbstractCompilationUnit.ImportDeclaration id)`